Subject: Re: [RFC] should we care of COMPAT mode in bridge ?

From: Chris Friesen <[email-masked]>
Date: Mon, 06 Jun 2011 14:23:53 -0600

On 06/06/2011 02:03 PM, David Miller wrote:
> From: Eric Dumazet<[email-masked]>
> Date: Mon, 06 Jun 2011 21:45:40 +0200
>
>> While trying Alexander Holler patch, I found a 32bit brctl program was
>> not able to work on a 64bit kernel. So I had to switch to another
>> machine for my tests.
>>
>> brctl addbr mybridge
>> ->
>> socket(PF_FILE, SOCK_STREAM, 0)         = 3
>> ioctl(3, SIOCSIFBR, 0xffd509c0)         = -1 EINVAL (Invalid argument)
>>
>> Should we care or not ?
>
> I think we should make an effort to fix this.

For current status of affairs, this makes sense.

It raises an interesting question though...do we plan on supporting 
compat indefinitely?

As I see it x86 generally makes more sense to run as 64-bit when 
possible due to the extra register availability. Compat is primarily 
useful for the embedded space and for backwards compatibility, and 
ripping it out would cause a lot of grief for legacy 32-bit apps.  It 
would simplify the userspace/kernel interface though.

Chris

-- 
Chris Friesen
Software Developer
GENBAND
[email-masked]
www.genband.com